Bug 602598 - Review Request: perl-Proc-WaitStat - Interpret and act on wait() status values
Summary: Review Request: perl-Proc-WaitStat - Interpret and act on wait() status values
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 602587
Blocks: 601585
TreeView+ depends on / blocked
 
Reported: 2010-06-10 09:32 UTC by Matthias Runge
Modified: 2015-01-06 13:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-28 19:27:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tremble: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2010-06-10 09:32:59 UTC
Spec URL: http://www.matthias-runge.de/fedora/perl-libproc-waitstat.spec
SRPM URL: http://www.matthias-runge.de/fedora/perl-libproc-waitstat-1.00-1.fc13.src.rpm
Description: This module contains functions for interpreting and acting on wait
status values.

Comment 1 Matthias Runge 2010-06-10 09:38:40 UTC
[mrunge@mrungexp SPECS]$ rpmlint ../SRPMS/perl-libproc-waitstat-1.00-1.fc13.src.rpm ../RPMS/noarch/perl-libproc-waitstat-1.00-1.fc13.noarch.rpm perl-libproc-waitstat.spec
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 3 Mark Chappell 2010-06-25 15:41:01 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
  [x] Versioned MODULE_COMPAT_ Requires
  [x] Non-Versioned CPAN URL tag
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2272527
 [x] Rpmlint output:

perl-Proc-WaitStat.src: E: specfile-error sh: line 1: fg: no job control
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPL+ or Artistic (As Perl)
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SRPM: b911bd579b6b142391b21de1efa30c95
     Upstream: b911bd579b6b142391b21de1efa30c95
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2272527
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2272527
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [!] %check is present and the tests pass


=== COMMENTS ===

You're not running the tests, please include a check section which should look something like

%check
make %{?_smp_mflags} test || :


In order to do this you will also need to add

BuildRequires: perl(IPC::Signal)

Comment 4 Matthias Runge 2010-06-26 18:57:33 UTC
Thank you for your review.

After fixing build requirements (BuildRequires:  perl(IPC::Signal)) make test succeeds: 
mrunge@herodot Proc-WaitStat-1.00]$ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/waitstat.t .. ok     
All tests successful.
Files=1, Tests=20,  1 wallclock secs ( 0.05 usr  0.01 sys +  0.04 cusr  0.01 csys =  0.11 CPU)
Result: PASS

The following version corrects this issue

SPEC: http://matthias-runge.de/fedora/perl-Proc-WaitStat.spec
SRPM: http://matthias-runge.de/fedora/perl-Proc-WaitStat-1.00-2.fc13.src.rpm

Comment 5 Mark Chappell 2010-06-27 11:57:30 UTC
Looks good, package is APPROVED.

Comment 6 Matthias Runge 2010-06-28 06:35:49 UTC
Thank you, great!

Comment 7 Matthias Runge 2010-06-28 06:37:47 UTC
New Package CVS Request
=======================
Package Name: perl-Proc-WaitStat
Short Description: Interpret and act on wait() status values
Owners: mrunge
Branches: F-13 devel EL-6

Comment 8 Jason Tibbitts 2010-06-28 16:43:35 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-06-29 13:15:15 UTC
perl-Proc-WaitStat-1.00-2.fc13,perl-mime-construct-1.11-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Proc-WaitStat-1.00-2.fc13,perl-mime-construct-1.11-2.fc13

Comment 10 Fedora Update System 2010-06-30 15:15:52 UTC
perl-Proc-WaitStat-1.00-2.fc13, perl-mime-construct-1.11-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Proc-WaitStat perl-mime-construct'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Proc-WaitStat-1.00-2.fc13,perl-mime-construct-1.11-2.fc13

Comment 11 Matthias Runge 2010-07-02 07:18:09 UTC
Package Change Request
======================
Package Name: perl-Proc-WaitStat
New Branches: EL-6
Owners: mrunge


I've been asked to include it into EL-6. I would do...

Comment 12 Jason Tibbitts 2010-07-02 17:16:39 UTC
There's already an EL-6 branch for this package, verified by pkgdb and a CVS checkout.  If I've missed something, please let me know what it is.

Comment 13 Matthias Runge 2010-09-23 09:36:06 UTC
Package Change Request
======================
Package Name: perl-Proc-WaitStat
New Branches: EL-5
Owners: mrunge

Comment 14 Kevin Fenzi 2010-09-25 04:52:25 UTC
Git done (by process-git-requests).

Comment 15 Matthias Runge 2015-01-06 08:25:50 UTC
Package Change Request
======================
Package Name: perl-Proc-WaitStat
New Branches: EPEL7
Owners: mrunge

Comment 16 Gwyn Ciesla 2015-01-06 13:41:25 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.